Page 2 of 2 FirstFirst 12
Results 21 to 37 of 37

Thread: Setting Up An Oscam Card Server Tutorial

  1. #21
    Premium Member
    Onefella's Avatar
    Join Date
    Jan 2008
    Location
    Top End
    Posts
    2,063
    Thanks
    1,062
    Thanked 1,360 Times in 678 Posts
    Rep Power
    638
    Reputation
    18622

    Default

    Lomax, the start-stop script in your tute has been mangled by VBulletin. Have a look, all the variables have been stripped out.

    It should look like this:

    #!/bin/sh
    # Start/stop the OScam daemon.
    #
    ### BEGIN INIT INFO
    # Provides: oscam
    # Required-Start:
    # Required-Stop:
    # Default-Start: 2 3 4 5
    # Default-Stop: 0 1 6
    # Short-Description: Start and Stop oscam
    # Description: OScam init script. This script start and stop oscam.
    ### END INIT INFO

    . /lib/lsb/init-functions

    NAME=oscam
    DAEMON=/usr/local/bin/$NAME
    CONFIG_DIR=/usr/local/etc/
    PIDFILE=/var/run/oscam.pid
    LOG=/var/log/oscam/oscam.log
    LOGUSR=/var/log/oscam/oscamuser.log
    LOGCW=/var/log/oscam/cw.log
    STARTAS="$DAEMON -- -b -c $CONFIG_DIR"


    [ -x $DAEMON ] || exit 0
    [ -d $CONFIG_DIR ] || exit 0

    echo $NAME

    clear_file() {
    # Clear log and pid file if exists
    if [ -e $PIDFILE ]
    then
    rm -f $PIDFILE
    fi
    if [ -e $LOG ]
    then
    rm -f $LOG
    fi
    if [ -e $LOGUSER ]
    then
    rm -f $LOGUSER
    fi
    if [ -e $LOGCW]
    then
    rm -f $LOGCW
    fi
    }
    case "$1" in
    start)
    clear_file
    log_daemon_msg "Starting oscam daemon" "oscam"
    start-stop-daemon --start --quiet --exe $DAEMON --startas $STARTAS
    log_end_msg $?
    ;;
    stop)
    log_daemon_msg "Stopping oscam daemon" "oscam"
    start-stop-daemon --stop --quiet --exe $DAEMON
    log_end_msg $?
    ;;
    restart)
    log_daemon_msg "Restarting oscam daemon" "oscam"
    start-stop-daemon --stop --retry 5 --quiet --exe $DAEMON
    clear_file
    start-stop-daemon --start --quiet --exe --startas $STARTAS
    log_end_msg $?
    ;;
    status)
    status_of_proc -p $PIDFILE $DAEMON $NAME && exit 0 || exit $?
    ;;
    *)
    log_action_msg "Usage: /etc/init.d/oscam {start|stop|restart|status}"
    exit 2
    ;;
    esac
    exit 0

    Here is a link to a plain text file of the same thing (of course you will have to rename the file "oscam" as per the tute)



    I have hacked together a HTML file of Lomax's great tute with some minor changes as per my own experience and others suggestions.

    Hope someone finds it useful.



    Cheers

  2. The Following 3 Users Say Thank You to Onefella For This Useful Post:

    Lomax (18-10-10),mol666 (08-06-11),thatslife (27-12-10)



  • #22
    Member Lomax's Avatar
    Join Date
    Mar 2008
    Age
    47
    Posts
    357
    Thanks
    83
    Thanked 152 Times in 49 Posts
    Rep Power
    223
    Reputation
    805

    Default

    Hi all,

    I've updated the procedure a little. I've added the new smartreader device identification stuff, and tweaked the compile steps a bit. I've also included steps for compiling new versions of oscam over your existing oscam.

    Note that I have not run through the v2.0 procedure myself, so I'll be particularly interested in feedback from users who follow the whole guide from start to finish.

    Because I can't update the original post (a limitation of the forum software), I'll just post a link to the text file, and use version numbers:



    Thanks go to:

    mborkp (Smartreader identification procedure, compile tips)
    jimbo123 (pointing out typos)
    Onefella (boxid info, html alternate guide version)
    porkchops (alternative editor suggestion)


    As always, feedback is welcome.

    Regards,

    Lomax

  • The Following 6 Users Say Thank You to Lomax For This Useful Post:

    dongiorgio1959 (07-01-11),johnwinger (18-04-11),mborkp (20-10-10),Onefella (19-10-10),thatslife (27-12-10),weirdo (19-10-10)

  • #23
    Premium Member
    Onefella's Avatar
    Join Date
    Jan 2008
    Location
    Top End
    Posts
    2,063
    Thanks
    1,062
    Thanked 1,360 Times in 678 Posts
    Rep Power
    638
    Reputation
    18622

    Default

    Good job again Lomax. A pretty comprehensive guide to setting up oscam.

  • #24
    Junior Member
    Join Date
    Aug 2010
    Posts
    1
    Thanks
    0
    Thanked 1 Time in 1 Post
    Rep Power
    0
    Reputation
    15

    Default thamks

    i'm verry surpise for this verry good tutorial and i want to say thank you verry mush see you later friend

  • The Following User Says Thank You to hajamal For This Useful Post:

    Onefella (21-11-10)

  • #25
    Junior Member
    Join Date
    Dec 2010
    Posts
    1
    Thanks
    1
    Thanked 0 Times in 0 Posts
    Rep Power
    0
    Reputation
    10

    Default oscam PID problem

    Thanks for this tutorial, I managed to install and start the server. My problem is that there is no oscam.pid file in /var/run/ and I cannot check status and restart or stop with the /etc/init.d/oscam script. I have oscam 4213.

    root@debian:~# /etc/init.d/oscam status
    oscam
    could not access PID file for oscam ... failed!
    Last edited by sosozah; 27-12-10 at 01:29 AM.

  • #26
    Junior Member
    Join Date
    Jan 2008
    Posts
    90
    Thanks
    4
    Thanked 13 Times in 7 Posts
    Rep Power
    202
    Reputation
    97

    Default

    Those who dont want to make a dedicated linux machine you can always used a virtual machine running on your windows box. Simply download vmplayer from here () and select one of the many premade free Debian or Ubuntu Linux virtual appliances ().

  • The Following User Says Thank You to autertip For This Useful Post:

    thatslife (27-12-10)

  • #27
    Member Lomax's Avatar
    Join Date
    Mar 2008
    Age
    47
    Posts
    357
    Thanks
    83
    Thanked 152 Times in 49 Posts
    Rep Power
    223
    Reputation
    805

    Default

    Quote Originally Posted by sosozah View Post
    Thanks for this tutorial, I managed to install and start the server. My problem is that there is no oscam.pid file in /var/run/ and I cannot check status and restart or stop with the /etc/init.d/oscam script. I have oscam 4213.
    Yeah a recent change to oscam causes this. start and stop works, but not status.

    Sorry, I don't have a fix.

  • The Following User Says Thank You to Lomax For This Useful Post:

    sosozah (28-12-10)

  • #28
    Senior Member cro69's Avatar
    Join Date
    Feb 2010
    Location
    melb(vic)
    Posts
    903
    Thanks
    135
    Thanked 105 Times in 79 Posts
    Rep Power
    216
    Reputation
    650

    Default

    any new things happening with this lomax ??im thinking of setting one up.
    Self declared soccer nut

    http://img1.jurko.net/avatar_2045.jpg

  • #29
    Member Lomax's Avatar
    Join Date
    Mar 2008
    Age
    47
    Posts
    357
    Thanks
    83
    Thanked 152 Times in 49 Posts
    Rep Power
    223
    Reputation
    805

    Default

    Nothing new. I update every now and then and it just works. The guide above is still valid as far as I know.

  • #30
    Senior Member johnwinger's Avatar
    Join Date
    Feb 2011
    Location
    Melbourne
    Age
    41
    Posts
    942
    Thanks
    232
    Thanked 222 Times in 156 Posts
    Rep Power
    220
    Reputation
    1473

    Default

    successfully installed on ubuntu server edition, had to install a couple of other things as the server edition has minimal packages installed.

    working perfectly with excellent ecm times and start up script works a treat.

  • The Following User Says Thank You to johnwinger For This Useful Post:

    Lomax (07-06-11)

  • #31
    Junior Member
    Join Date
    Oct 2009
    Posts
    93
    Thanks
    166
    Thanked 115 Times in 27 Posts
    Rep Power
    192
    Reputation
    600

    Default

    I couldn't get your init script working properly (errored on startas?), but this one appears to..

    #!/bin/sh

    DAEMON=/usr/local/bin/oscam
    DEAMON_OPTS="-b"
    PIDFILE=/var/run/oscam.pid

    test -x ${DAEMON} || exit 0

    . /lib/lsb/init-functions

    case "$1" in
    start)
    log_daemon_msg "Starting OScam"
    start-stop-daemon --start --quiet --background --pidfile ${PIDFILE} --make-pidfile --exec ${DAEMON} -- ${DAEMON_OPTS}
    log_end_msg $?
    ;;
    stop)
    log_daemon_msg "Stopping OScam"
    start-stop-daemon --stop --exec ${DAEMON}
    log_end_msg $?
    ;;
    force-reload|restart)
    $0 stop
    $0 start
    ;;
    *)
    echo "Usage: /etc/init.d/oscam {start|stop|restart|force-reload}"
    exit 1
    ;;
    esac

    exit 0

    Cheers,
    Dave

  • #32
    Member Lomax's Avatar
    Join Date
    Mar 2008
    Age
    47
    Posts
    357
    Thanks
    83
    Thanked 152 Times in 49 Posts
    Rep Power
    223
    Reputation
    805

    Default

    Some of you may have heard that megaupload has been shut down by the FBI today. It's not that we won't be able to use it that sucks. It's that there are tons of files stored on their servers which are now lost.

    A copy of the current version of my tutorial is now available from here:


  • #33
    Senior Member cro69's Avatar
    Join Date
    Feb 2010
    Location
    melb(vic)
    Posts
    903
    Thanks
    135
    Thanked 105 Times in 79 Posts
    Rep Power
    216
    Reputation
    650

    Default

    buggar buggar buggar any others or is that the 1st?
    Self declared soccer nut

    http://img1.jurko.net/avatar_2045.jpg

  • #34
    Junior Member
    Join Date
    Dec 2010
    Posts
    1
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Rep Power
    0
    Reputation
    10

    Default

    Is this v2.0 tutorial still ok? Im going to try it this weekend with updated debian and oscam... Have a smargo, phoenix and omnikey.

    Im new to linux im crossing fingers

    Ps: ive heard ubuntu could be a better choice for server

  • #35
    Senior Member
    LeroyPatrol's Avatar
    Join Date
    Jan 2008
    Location
    N.E. Vic
    Posts
    16,229
    Thanks
    3,528
    Thanked 4,710 Times in 2,797 Posts
    Rep Power
    1669
    Reputation
    46551

    Default

    only if you have a card that can share!

    Leroy
    XCRUISER HDSR600HD twin sat and terrestrial receiver $OOS *
    XCRUISER HDSR385 Avant - sold out$OOS UltraPlus DVB-T and DVB-S2 tuners $49 Remotes $OOS

  • #36
    Member Lomax's Avatar
    Join Date
    Mar 2008
    Age
    47
    Posts
    357
    Thanks
    83
    Thanked 152 Times in 49 Posts
    Rep Power
    223
    Reputation
    805

    Default

    Quote Originally Posted by vartaxe View Post
    Is this v2.0 tutorial still ok? Im going to try it this weekend with updated debian and oscam... Have a smargo, phoenix and omnikey.

    Im new to linux im crossing fingers

    Ps: ive heard ubuntu could be a better choice for server
    Card sharing no longer works here in Australia with the current (orange) smart-cards as they are now married to the STB. I guess the guide is still valid, though, assuming you have a "shareable" card.

  • #37
    Member Lomax's Avatar
    Join Date
    Mar 2008
    Age
    47
    Posts
    357
    Thanks
    83
    Thanked 152 Times in 49 Posts
    Rep Power
    223
    Reputation
    805

    Default

    Sorry to necro, I was going through some old documents and found the final version of "Oscam Install On Debian". I thought I'd upload it here for the sake of completeness as I see that file links and shares have been killed over the years. NOTE: This guide is likely no longer relevant to the current state of affairs.

    Code:
    Oscam Install On Debian v2.0
    ============================
    By Lomax
    
    Thanks To:
    
    mborkp (Smartreader identification procedure, compile tips)
    jimbo123 (pointing out typos)
    Onefella (boxid info, html alternate guide version)
    porkchops (alternative editor suggestion)
    
    Check http://www.austech.info/satellite-tv-general/46020-setting-up-oscam-card-server-tutorial-2.html for the latest version.
    (look at the end of the thread for newer posts).
    
    
    
    
    
    What you will need:
    
    	1.  A PC (moderate power - I use a Pentium 4 3.0Gz with 1.5GB RAM, and this is probably overkill).
    	2.  A Smargo smartreader (get one from http://ryadax.com/) or check the "Buy Sell and Trade" section of Austech.info
    	3.  A valid F*xt*l smartcard
    
    
    
    
    1.  Download the latest Debian CD from here:
    
    	http://cdimage.debian.org/cdimage/weekly-builds/i386/iso-cd/debian-testing-i386-CD-1.iso
    
    2.  Install using the default options.  When prompted for features, untick "Desktop Environment", and tick "SSH Server".
    
    3.  Log in and switch to the 'root' user:
    
    	su root
    
    4.  Set a static IP address:
    
    	a.  Backup original config:
    		 cp /etc/network/interfaces /etc/network/interfaces.bak
    
    	b.  Edit the file:
    		vi /etc/network/interfaces
    
    	c.  Edit the file such that the iface etho entry looks like this:
    
    		iface eth0 inet static
           	  	  address 192.168.0.6  
    		  gateway 192.168.0.1
    		  netmask 255.255.255.0
    		  network 192.168.0.0
    		  broadcast 192.168.0.255
    
    5.  Log out of the console session:
    		
    		exit
    
    6.  You can now ssh into 192.168.0.6 using putty.  After you login:
    
    		su root
    
    7.  OPTIONAL Install ftp server:
    
    	apt-get install vsftpd
    
    	Backup the original configuration file:
    
    		cp /etc/vsftpd.conf /etc/vsftpd.conf.ORIG
    
    	Open /etc/vsftpd.conf in an editor:
    
    		vi /etc/vsftpd.conf
    
    	To configure vsftpd to authenticate system users and allow them to upload filesuncomment the lines:
    
    		local_enable=YES
    		write_enable=YES
    
    	Now restart vsftpd:
    
    		/etc/init.d/vsftpd restart
    
    8.  Install oscam:
    
    	cd /lib/
    	ln -s libcrypto.so.0.9.8e libcrypto.so.0.9.8
    	apt-get install yum bzip2 gcc g++ cmake libpcsclite1 libpcsclite-dev subversion make
    	cd /usr/src
    	wget http://cdnetworks-us-2.dl.sourceforge.net/project/libusb/libusb-1.0/libusb-1.0.8/libusb-1.0.8.tar.bz2
    	tar xjvf libusb-1.0.8.tar.bz2 
    	cd libusb-1.0.8
    	./configure --enable-shared=no
    	make
    	make install
    	cd /usr/src
    	svn co http://streamboard.gmc.to/svn/oscam/trunk oscam
    	cd oscam
    	mkdir build
    	cd build
    	cmake -DWEBIF=1 ..
    	make install
    
    9.  Create oscam config files
    	
    /usr/local/etc/oscam.server:
    
    [reader]
    label=reader1
    protocol=SmartReader
    detect=CD
    group=1
    emmcache=1,1,2
    device=Serial:Reader XXX
    caid=096C
    boxid=XXXXXXXX
    
    
    
    
    **To determine what to put in the oscam.server boxid= line:
    	a. Get your 11 digit box serial (101*******5)
    	b. Remove the last digit (101*******) and type it in the windows calculator in dec mode
    	c. Click hex - this will give you the 7 or 8 digit hex to replace the xxxxxxxx's with
    	
    
    
    **To determine what to put in the oscam.server device= line:
    
    		a.  Ensure your smargo reader is running v1.4 firmware (otherwise you will not get a reader number reported back to you).
    		b.  Insert the reader into a usb port on the server.
    		c.  Now that oscam is actually installed you can point a web browser to 192.168.0.6:8888 (or whatever ip address you gave the server).  User Name is username, Password is password.
    		d.  When you have accessed the web interface successfully, go to the "Readers" section and click the "Scan USB" link.  Output will be something like:
    
    			Bus 001 Device 003: ID 0403:6001 Future Technology Devices International, Ltd FT232 USB-Serial (UART) IC
    				iProduct 0
    				iSerial 3 Reader 67
    
    		    In the example output above the "iSerial 3 Reader 67" is of interest to us. Change the line:
    
    				device=Serial:Reader XXX
    
    		    To:
    	
    				device = Serial:Reader 67
    
    **If you are using a smartreader with an Orange card, you can overclock the card (thus reducing response times) by adding the lines:
    
    CardMhz = 357
    Mhz = 600
    
    
    
    /usr/local/etc/oscam.conf:
    
    [global]
    nice	        = -19
    WaitForCards    = 1
    saveinithistory = 1
    
    # logging
    logfile       = /var/log/oscam.log
    usrfile       = /var/log/oscamuser.log
    cwlogdir      = /var/log/cw.log
    maxlogsize    = 1000
    
    [newcamd]
    key           = 0102030405060708091011121314
    port          = 10000@096c:000000;
    
    # web interface
    [webif]
    httpport      = 8888
    httpuser      = username
    httppwd       = password
    httpallowed = 0.0.0.0-255.255.255.255
    
    
    
    
    
    
    /usr/local/etc/oscam.user:
    
    [account]
    user       = username
    pwd        = password
    uniq       = 1
    group      = 1
    au         = reader1
    ident      = 096c:000000
    caid       = 096c
    
    
    
    
    
    
    
    
    OPTIONAL /usr/local/etc/oscam.srvid:
    
    096c:426b|Foxtel||
    096c:4274|Foxtel||
    096c:32ca|Foxtel||
    096c:2b00|Foxtel|Playhouse|
    096c:2b01|Foxtel|TLC|
    096c:7d01|Foxtel|SBS TWO|
    096c:c801|Foxtel|SBS ONE|
    096c:2b02|Foxtel|SCI FI +2|
    096c:7d02|Foxtel|SBS ONE|
    096c:c802|Foxtel|SBS TWO|
    096c:7d03|Foxtel|SBS ONE|
    096c:7d05|Foxtel|CCTV|
    096c:7d06|Foxtel|Ovation|
    096c:7d07|Foxtel|Setanta Sports|
    096c:7d08|Foxtel|NITV|
    096c:7d09|Foxtel|ACC|
    096c:7d0a|Foxtel|TVN|
    096c:7d0c|Foxtel|Al Jazeera|
    096c:2711|Foxtel|FB01|
    096c:2712|Foxtel|FB02|
    096c:2713|Foxtel|FB03|
    096c:2714|Foxtel|FB04|
    096c:2715|Foxtel|FB05|
    096c:2716|Foxtel|FB06|
    096c:2717|Foxtel|FB07|
    096c:2718|Foxtel|Adults Only 1|
    096c:2719|Foxtel|Adults Only 2|
    096c:271a|Foxtel|FB08|
    096c:2329|Foxtel|FB09|
    096c:232a|Foxtel|FB10|
    096c:232b|Foxtel|FB11|
    096c:232c|Foxtel|FB12|
    096c:232d|Foxtel|FB13|
    096c:232e|Foxtel|FB14|
    096c:232f|Foxtel|FB15|
    096c:2330|Foxtel|FB16|
    096c:2331|Foxtel|MTV Hits|
    096c:2332|Foxtel|TLC +2|
    096c:2f46|Foxtel|BOX|
    096c:564b|Foxtel|DAL 1|
    096c:564c|Foxtel|DAL 2|
    096c:564d|Foxtel|DAL 3|
    096c:564e|Foxtel|DAL 4|
    096c:4651|Foxtel|TV1 +2|
    096c:4652|Foxtel|showtime two|
    096c:4653|Foxtel|Comedy +2|
    096c:4654|Foxtel|UKTV +2|
    096c:4655|Foxtel|ARENA +2|
    096c:4656|Foxtel|Classics +2|
    096c:4657|Foxtel|Movie Two|
    096c:4658|Foxtel|FOX8 +2|
    096c:1b59|Foxtel|LifeStyle YOU|
    096c:4659|Foxtel|LifeStyle +2|
    096c:1b5a|Foxtel|show comedy|
    096c:465a|Foxtel|W2|
    096c:1b5b|Foxtel|show action|
    096c:465b|Foxtel|showcase two|
    096c:1b5c|Foxtel|show drama|
    096c:1b5d|Foxtel|13TH STREET|
    096c:1b5e|Foxtel|STARPICS 1|
    096c:1b5f|Foxtel|Eurosport|
    096c:1b60|Foxtel|MTVN Live|
    096c:1b61|Foxtel|How To|
    096c:1b62|Foxtel|Discovery +2|
    096c:426d|Foxtel|Help|
    096c:4270|Foxtel|iEPG Video Satellite|
    096c:4277|Foxtel|Ovation|
    096c:3e81|Foxtel|SPA|
    096c:3e82|Foxtel|SPM|
    096c:3e83|Foxtel|SPH|
    096c:1389|Foxtel|BBC Wld News|
    096c:138a|Foxtel|TCM|
    096c:138b|Foxtel|MTV Classic|
    096c:138c|Foxtel|Disney|
    096c:138d|Foxtel|Channel [V]|
    096c:138e|Foxtel|SCI FI|
    096c:138f|Foxtel|FUEL TV|
    096c:1390|Foxtel|Crime|
    096c:1391|Foxtel|MTV|
    096c:1392|Foxtel|MAX|
    096c:3e94|Foxtel|AUSA|
    096c:3a99|Foxtel|Nat Geo +2|
    096c:3a9a|Foxtel|13TH STREET+2|
    096c:3a9b|Foxtel|NGAdventure+2|
    096c:3a9c|Foxtel|SPEED|
    096c:3a9d|Foxtel|Sky Racing1|
    096c:3a9e|Foxtel|Sky Racing2|
    096c:3a9f|Foxtel|SkyRacingWorld|
    096c:3aa0|Foxtel|CNBC|
    096c:0fa1|Foxtel|RAI|
    096c:3aa1|Foxtel|EXPO|
    096c:0fa2|Foxtel|Antenna|
    096c:3aa2|Foxtel|BBC CBeebies|
    096c:d7a2|Foxtel|One|
    096c:0fa3|Foxtel|FOX News|
    096c:0fa4|Foxtel|Bloomberg|
    096c:d7a4|Foxtel|Channel 10|
    096c:0fa5|Foxtel|Animal Planet|
    096c:0fa6|Foxtel|Weather|
    096c:0fa7|Foxtel|Food|
    096c:3aa7|Foxtel|Sky Racing Active|
    096c:0fa8|Foxtel|Bio.|
    096c:3aa8|Foxtel|Sky Racing2|
    096c:0fa9|Foxtel|ESPN|
    096c:3aa9|Foxtel|SkyRacingWorld|
    096c:3aaa|Foxtel|Sky Racing1|
    096c:3aab|Foxtel|Sky Racing1|
    096c:0fb3|Foxtel|WEATHER ACTIVE|
    096c:0bb9|Foxtel|FOX Sports 1|
    096c:d3b9|Foxtel|GO!|
    096c:0bba|Foxtel|FOX Sports 2|
    096c:0bbb|Foxtel|FOX SPORTS NEWS|
    096c:0bbc|Foxtel|Main Event|
    096c:0bbd|Foxtel|Boomerang|
    096c:0bbe|Foxtel|STVDIO|
    096c:0bbf|Foxtel|CNN|
    096c:0bc0|Foxtel|TVSN|
    096c:d3c0|Foxtel|Channel 9|
    096c:0bc1|Foxtel|FoxSportsNews|
    096c:0bc4|Foxtel|SATest|
    096c:0bca|Foxtel|FSNA|
    096c:07d1|Foxtel|Nickelodeon|
    096c:07d2|Foxtel|Movie Extra|
    096c:07d3|Foxtel|Movie Greats|
    096c:07d4|Foxtel|World Movies|
    096c:07d5|Foxtel|FOX Sports 3|
    096c:cfd5|Foxtel|Channel 7|
    096c:07d6|Foxtel|Universal|
    096c:07d7|Foxtel|Discovery|
    096c:cfd7|Foxtel|7TWO|
    096c:07d8|Foxtel|Nat Geo|
    096c:07d9|Foxtel|History|
    096c:59d9|Foxtel|GO!|
    096c:07da|Foxtel|Cartoon|
    096c:59da|Foxtel|111 HITS+2|
    096c:59db|Foxtel|LifeStyle YOU 2|
    096c:59dc|Foxtel|Food +2|
    096c:59dd|Foxtel|GO!|
    096c:59de|Foxtel|Disc Turbo+2|
    096c:59df|Foxtel|7TWO|
    096c:59e0|Foxtel|7TWO|
    096c:2ee1|Foxtel|[V] HITS|
    096c:59e1|Foxtel|7TWO|
    096c:2ee2|Foxtel|Box Office|
    096c:59e2|Foxtel|GO!|
    096c:2ee3|Foxtel|NG Adventure|
    096c:2ee4|Foxtel|Eurosportnews|
    096c:2ee5|Foxtel|Disc Health|
    096c:2ee6|Foxtel|Country Music|
    096c:2ee7|Foxtel|FTV|
    096c:2ee8|Foxtel|E!|
    096c:03e9|Foxtel|TV1|
    096c:2ee9|Foxtel|Disc Science|
    096c:03ea|Foxtel|showtime|
    096c:2eea|Foxtel|Nick Jr|
    096c:03eb|Foxtel|Comedy|
    096c:03ec|Foxtel|UKTV|
    096c:cbec|Foxtel|ABC3|
    096c:03ed|Foxtel|ARENA|
    096c:03ee|Foxtel|FOX Classics|
    096c:03ef|Foxtel|Movie One|
    096c:2eef|Foxtel|Channel 9|
    096c:cbef|Foxtel|ABC1|
    096c:03f0|Foxtel|FOX8|
    096c:cbf0|Foxtel|ABC2|
    096c:03f1|Foxtel|LifeStyle|
    096c:2ef1|Foxtel|Setanta Sports|
    096c:55f1|Foxtel|SKY News|
    096c:03f2|Foxtel|W|
    096c:2ef2|Foxtel|Box Office|
    096c:03f3|Foxtel|showcase|
    096c:2ef3|Foxtel|BOX OFFICE|
    096c:55f3|Foxtel|SKY Business|
    096c:55f5|Foxtel|A-PAC|
    096c:55f6|Foxtel|AURORA|
    096c:55f7|Foxtel|HITS|
    096c:55f8|Foxtel|BBC Knowledge|
    096c:2af9|Foxtel|FMC Family|
    096c:55f9|Foxtel|DAL M|
    096c:2afa|Foxtel|Nat Geo Wild|
    096c:55fa|Foxtel|Spare|
    096c:13fc|Foxtel|SkyN.|
    096c:2afc|Foxtel|KidsCo|
    096c:2afd|Foxtel|Disc Turbo|
    096c:2afe|Foxtel|Style Network|
    096c:2aff|Foxtel|STARPICS 2|
    096c:2f00|Foxtel|AIR12|
    096c:2f01|Foxtel|AIR13|
    096c:2f02|Foxtel|AIR14|
    096c:2f03|Foxtel|AIR15|
    096c:2f04|Foxtel|AIR16|
    096c:2f05|Foxtel|AIR17|
    096c:2f06|Foxtel|AIR18|
    096c:2f07|Foxtel|AIR19|
    096c:2f08|Foxtel|AIR20|
    096c:2f09|Foxtel|AIR21|
    096c:2f0a|Foxtel|AIR22|
    096c:2f0b|Foxtel|AIR23|
    096c:2f0c|Foxtel|AIR24|
    096c:2f0d|Foxtel|AIR25|
    096c:2f0e|Foxtel|AIR26|
    096c:2f0f|Foxtel|AIR27|
    096c:2f10|Foxtel|AIR28|
    096c:2f11|Foxtel|AIR29|
    096c:2f12|Foxtel|AIR30|
    096c:7d15|Foxtel|SBS AM|
    096c:c815|Foxtel|SBS AM|
    096c:7d16|Foxtel|SBS FM|
    096c:c816|Foxtel|SBS FM|
    096c:0fb4|Foxtel|RAI Radio|
    096c:0fb5|Foxtel|Ant1 Radio|
    096c:2ef5|Foxtel|AIR01|
    096c:2ef6|Foxtel|AIR02|
    096c:2ef7|Foxtel|AIR03|
    096c:2ef8|Foxtel|AIR04|
    096c:2ef9|Foxtel|AIR05|
    096c:2efa|Foxtel|AIR06|
    096c:2efb|Foxtel|AIR07|
    096c:2efc|Foxtel|AIR08|
    096c:2efd|Foxtel|AIR09|
    096c:cbfd|Foxtel|ABC Dig Music|
    096c:2efe|Foxtel|AIR10|
    096c:cbfe|Foxtel|ABC Jazz|
    096c:2eff|Foxtel|AIR11|
    096c:427a|Foxtel||
    096c:427b|Foxtel||
    096c:32db|Foxtel||
    096c:c803|Foxtel|SBS HD|
    096c:d7a9|Foxtel|One HD|
    096c:d3bb|Foxtel|GEM HD|
    096c:cfd6|Foxtel|7mate HD|
    096c:cbf1|Foxtel|ABC News24 HD|
    096c:7d04|Foxtel|ABC News24 HD|
    096c:4e21|Foxtel|showtime HD|
    096c:4e22|Foxtel|showcase HD|
    096c:4e23|Foxtel|MOVIE ONE HD|
    096c:4e24|Foxtel|STARPICS 1 HD|
    096c:4e25|Foxtel|Fox Sports 1HD|
    096c:4e26|Foxtel|BBC Know HD|
    096c:61a9|Foxtel|SPEED HD|
    096c:61aa|Foxtel|NatGeoWild HD|
    096c:61ab|Foxtel|MTVN Live HD|
    096c:61ac|Foxtel|SPARE|
    096c:61ad|Foxtel|SPARE|
    096c:61ae|Foxtel|SPARE|
    096c:36b1|Foxtel|Fox Sports 3HD|
    096c:36b2|Foxtel|Nat Geo HD|
    096c:36b3|Foxtel|UKTV HD|
    096c:36b4|Foxtel|W HD|
    096c:36b5|Foxtel|show action HD|
    096c:36b6|Foxtel|3D CHANNEL|
    096c:32c9|Foxtel|ESPN HD|
    096c:32cb|Foxtel|Disc World HD|
    096c:32cc|Foxtel|FOX8 HD|
    096c:32cd|Foxtel|Fox Sports 2HD|
    096c:32ce|Foxtel|STARPICS 2 HD|
    096c:2afb|Foxtel|Spare|
    096c:4269|Foxtel|FBOB|
    096c:2f13|Foxtel|AIR active|
    096c:2f14|Foxtel|AIR ACTIVE|
    096c:5619|Foxtel|SKY NEWS LOCAL|
    096c:427c|Foxtel|Ch998 Modem Test App|
    096c:3e9e|Foxtel|iSUGGEST|
    096c:55f2|Foxtel|SKY NEWS MULTIVIEW|
    096c:55f4|Foxtel|SKY Local|
    096c:0011|Foxtel||
    096c:fe11|Foxtel||
    096c:fe1b|Foxtel||
    096c:fdeb|Foxtel|SWDL Satellite (NDS)|
    
    
    
    
    
    
    10.  Make oscam start and stop automatically with server bootup/shutdown.  Create script:
    
    	/etc/init.d/oscam:
    
    
    
    
    #!/bin/sh
    # Start/stop the OScam daemon.
    #
    ### BEGIN INIT INFO
    # Provides:          OScam
    # Required-Start:    $syslog $network $pcscd
    # Required-Stop:     $syslog $network $pcscd
    # Default-Start:     2 3 4 5
    # Default-Stop:      0 1 6
    # Short-Description: Start and Stop OScam
    # Description: OScam init script. This script start and stop OScam.
    ### END INIT INFO
    
    . /lib/lsb/init-functions
    
    NAME=oscam
    DAEMON=/usr/local/bin/$NAME
    CONFIG_DIR=/usr/local/etc
    PIDFILE=/var/run/oscam.pid
    LOG=/var/log/oscam.log
    LOGUSR=/var/log/oscamuser.log
    LOGCW=/var/log/cw.log
    STARTAS="$DAEMON -- -b -c $CONFIG_DIR"
    
    #test -f $DAEMON || exit 0
    
    [ -d $CONFIG_DIR ] || exit 0
    
    echo $NAME
    
    clear_file() {
        # Clear log and pid file if exists
        if [ -e $PIDFILE ]
    	then
    	    rm -f $PIDFILE
    	fi
    	if [ -e $LOG ]
    	then
    	    rm -f $LOG
    	fi
    	if [ -e $LOGUSR ]
    	then
    	    rm -f $LOGUSR
    	fi
    	if [ -e $LOGCW ]
    	then
    	    rm -f $LOGCW
    	fi
    }
    case "$1" in
    start)	
            clear_file
            log_daemon_msg "Starting OScam daemon" "OScam"
            start-stop-daemon --start --quiet --exe $DAEMON --startas $STARTAS
            log_end_msg $?
    	;;
    stop)	
            log_daemon_msg "Stopping OScam daemon" "OScam"
            start-stop-daemon --stop --quiet --exe $DAEMON
            log_end_msg $?
            ;;
    restart)
            log_daemon_msg "Restarting OScam daemon" "OScam" 
            start-stop-daemon --stop --retry 5 --quiet --exe $DAEMON
            clear_file
            start-stop-daemon --start --quiet --exe $DAEMON --startas $STARTAS
            log_end_msg $?
            ;;
    status)
    	status_of_proc -p $PIDFILE $DAEMON $NAME && exit 0 || exit $?
            ;;
    *)	
            log_action_msg "Usage: /etc/init.d/OScam {start|stop|restart}"
            exit 2
            ;;
    esac
    exit 0
    
    
    
    
    Then:
    
    chmod 755 /etc/init.d/oscam
    
    
    Then:
    
    update-rc.d oscam defaults
    
    
    11.  On the clients, install CCcam.  This is done via the blue panel.
    
    12.  Configure CCcam by editing /var/etc/CCcam.cfg:
    
    	vi /var/etc/CCcam.cfg
    
         Delete the contents of the file and add a single line:
    
    	N: 192.168.0.6 10000 username password 01 02 03 04 05 06 07 08 09 10 11 12 13 14
    
    13.  Insert the F*xt*l smartcard into the reader and reboot.
    
    
    
    
    
    NOTES:
    
    To get info on the various options in the oscam config files and what they mean, look here:
    
    	http://streamboard.gmc.to/svn/oscam/trunk/Distribution/doc/txt/
    
    To remove a dir:
    	rm -rf build_dir/
    
    To check log:
    	tail -f /var/log/oscam.log
    
    To see if oscam running:
    	ps -A | grep oscam
    
    To start oscam:
    	oscam -b
    
    To stop oscam:
    	pkill oscam
    
    OR:
    
    	/etc/init.d/oscam status
    	/etc/init.d/oscam start
    	/etc/init.d/oscam stop
    	/etc/init.d/oscam restart
    
    
    To see usb devices and their address:
    	lsusb -v
    
    vi editor quick reference:
    	http://adminschoice.com/vi-editor-quick-reference
    
    Alternative editor:
    	If you find vi too tricky to use, try "nano" instead.
    
    To compile a new version of oscam:
    
    	/etc/init.d/oscam stop
    	cp /usr/local/bin/oscam /usr/local/bin/oscam.PREVIOUS
    	cd /usr/src
    	rm -rf oscam
    	svn co http://streamboard.gmc.to/svn/oscam/trunk oscam
    	cd oscam
    	mkdir build
    	cd build
    	cmake -DWEBIF=1 ..
    	make install
    	/etc/init.d/oscam start

  • The Following User Says Thank You to Lomax For This Useful Post:

    harryt (11-10-22)

  • Page 2 of 2 FirstFirst 12

    Bookmarks

    Posting Permissions

    • You may not post new threads
    • You may not post replies
    • You may not post attachments
    • You may not edit your posts
    •